API Platform Base Path: https://api.enterprise.apigee.com/v1/o/{org_name}

API Resource Path: /companies/{company_name}/developers/

Lists all Developers associated with a Company

Verb: GET

Auth: Basic Auth

Sample Request:
$ curl -u myname:mypass https://api.enterprise.apigee.com/v1/o/{org_name}/companies/{company_name}/developers
Sample Response:
Success 200 with proper response
{
  "developer" : [ {
    "email" : "developer@apigee.com",
    "role" : "developer"
  } ]
}
Response Payload Elements:
Name Description
email Email address of the developer
role Role of the developer within the company--currently unenforced by Apigee
Errors
Failure 4xx with proper error message
{
 "code" : "developer.service.DeveloperDoesNotExistInTheGivenCompany",
 "message" : "Developer does not exist in the given company",
 "contexts" : [ ]
}
Last updated: about 1 month ago